petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexCreateHexBoxMesh

Creates a mesh on the tensor product of unit intervals (box) using hexahedra.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateHexBoxMesh(MPI_Comm comm, PetscInt dim, const PetscInt cells[], DMBoundaryType periodicX, DMBoundaryType periodicY, DMBoundaryType periodicZ, DM *dm)

Collective on MPI_Comm Many br

### Input Parameters

| comm | - The communicator for the DM object Many br
| dim | - The spatial dimension Many br
| periodicX | - The boundary type for the X direction Many br
| periodicY | - The boundary type for the Y direction Many br
| periodicZ | - The boundary type for the Z direction Many br
| cells | - The number of cells in each direction Many br

### Output Parameter

dm -The DM object Many br

Many br

### Keywords

DM, create

### See Also

DMPlexCreateBoxMesh(), DMSetType(), DMCreate()

Level:beginner
Location:src/dm/impls/plex/plexcreate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex11.c.html